Bug 222317 - net-mgmt/zabbix34-server: fix conflicts globbing
Summary: net-mgmt/zabbix34-server: fix conflicts globbing
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-09-14 04:30 UTC by Franco Fichtner
Modified: 2017-10-12 12:56 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (pg)


Attachments
patch for all zabbix versions (2.99 KB, patch)
2017-09-14 04:32 UTC, Franco Fichtner
franco: maintainer-approval?
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Franco Fichtner 2017-09-14 04:30:19 UTC

    
Comment 1 Franco Fichtner 2017-09-14 04:32:27 UTC
Created attachment 186363 [details]
patch for all zabbix versions

The globbing is not entirely correct, when e.g. zabbix32 is installed, zabbix34 not notice it as a conflict.
Comment 2 commit-hook freebsd_committer 2017-10-05 01:03:58 UTC
A commit references this bug:

Author: dbaio
Date: Thu Oct  5 01:03:08 UTC 2017
New revision: 451254
URL: https://svnweb.freebsd.org/changeset/ports/451254

Log:
  net-mgmt/zabbix34-*: Update to 3.4.2 [1]

  Update CONFLICTS to also match zabbix32. [2]

  Changes:	https://www.zabbix.com/rn3.4.2

  PR:		222736 [1]
  PR:		222317 [2]
  Submitted by:	Pakhom Golynga <pg@pakhom.spb.ru> (maintainer) [1]
  Submitted by:	Franco Fichtner <franco@opnsense.org> [2]

Changes:
  head/net-mgmt/zabbix34-server/Makefile
  head/net-mgmt/zabbix34-server/distinfo
  head/net-mgmt/zabbix34-server/pkg-plist.frontend
Comment 3 Franco Fichtner 2017-10-06 06:00:02 UTC
Thank you for committing!
Comment 4 commit-hook freebsd_committer 2017-10-12 12:20:08 UTC
A commit references this bug:

Author: dbaio
Date: Thu Oct 12 12:19:53 UTC 2017
New revision: 451868
URL: https://svnweb.freebsd.org/changeset/ports/451868

Log:
  net-mgmt/zabbix32-*: Update to 3.2.8

  Update CONFLICTS to also match zabbix[22|34]. [1]
  Improve LICENSE.
  Remove unnecessary information from the slave ports.

  Changes:	https://www.zabbix.com/rn3.2.8

  PR:		222808
  PR:		222317 [1]
  Approved by:	Pakhom Golynga <pg@pakhom.spb.ru> (maintainer)
  Submitted by:	Franco Fichtner <franco@opnsense.org> [1]

Changes:
  head/net-mgmt/zabbix32-agent/Makefile
  head/net-mgmt/zabbix32-frontend/Makefile
  head/net-mgmt/zabbix32-proxy/Makefile
  head/net-mgmt/zabbix32-server/Makefile
  head/net-mgmt/zabbix32-server/distinfo
  head/net-mgmt/zabbix32-server/pkg-plist.frontend
Comment 5 commit-hook freebsd_committer 2017-10-12 12:47:35 UTC
A commit references this bug:

Author: dbaio
Date: Thu Oct 12 12:46:48 UTC 2017
New revision: 451873
URL: https://svnweb.freebsd.org/changeset/ports/451873

Log:
  net-mgmt/zabbix22-*: Update to 2.2.20

  Update CONFLICTS to also match zabbix32. [1]
  Improve LICENSE.

  Changes:	https://www.zabbix.com/rn2.2.20

  PR:		222810
  PR:		222317 [1]
  Approved by:	Pakhom Golynga <pg@pakhom.spb.ru> (maintainer)
  Submitted by:	Franco Fichtner <franco@opnsense.org> [1]

Changes:
  head/net-mgmt/zabbix22-server/Makefile
  head/net-mgmt/zabbix22-server/distinfo
  head/net-mgmt/zabbix22-server/pkg-plist.frontend
Comment 6 Danilo G. Baio freebsd_committer 2017-10-12 12:56:17 UTC
Franco, thanks for catching this.

I didn't include the second condition in zabbix22, I don't think we will have another 2.X release.

Regards.
Comment 7 Franco Fichtner 2017-10-12 12:56:59 UTC
Thats perfectly reasonable. Thank you for the commits!